%define name 		enca
%define major 		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:		A program that can detect and convert between character sets
Name: 			enca
Version: 		1.19
Release: 		%mkrel 7
License: 		GPLv2+
Group: 			Text tools
URL: 			http://gitorious.org/enca
Source: 		https://dl.cihar.com/%{name}/%{name}-%{version}.tar.xz
BuildRequires: 		recode-devel

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package -n		%{libname}
Summary:		A library detecting encoding of text files
Group:			System/Libraries

%description -n		%{libname}
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

This package contains shared Enca library other programs can make use of.


%package -n		%{develname}
Summary:		Header files and libraries for Enca development
Group:			Development/C
Requires:		%{libname} = %{version}-%{release}
Provides:		libenca-devel = %{version}-%{release}
Provides:		enca-devel = %{version}-%{release}

%description -n		%{develname}
The %{develname} package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install %{develname} if you are going to create applications using the Enca
library.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/gtk-doc

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog ChangeLog.prelib FAQ README.md DEVELOP.md THANKS TODO
%{_bindir}/enca
%{_bindir}/enconv
%{_libexecdir}/%{name}/extconv/*
%dir %{_libexecdir}/%{name}/extconv
%dir %{_libexecdir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libenca.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/enca.h
%{_libdir}/pkgconfig/enca.pc
%{_libdir}/libenca.so


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.19-7.mga10
+ Revision: 2196359
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 1.19-6.mga9
+ Revision: 1797756
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.19-5.mga8
+ Revision: 1530525
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 01 2019 daviddavid <daviddavid> 1.19-4.mga8
+ Revision: 1436154
- rebuild for new recode 3.7.3

* Sun Sep 23 2018 umeabot <umeabot> 1.19-3.mga7
+ Revision: 1297599
- Mageia 7 Mass Rebuild

* Wed May 23 2018 daviddavid <daviddavid> 1.19-2.mga7
+ Revision: 1231775
- disable unneeded static libraries and remove '.la' files
+ kekepower <kekepower>
- Use new make macros

* Fri Sep 09 2016 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 1051180
- 1.19

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.18-1.mga6
+ Revision: 927134
- 1.18

* Tue Nov 04 2014 luigiwalser <luigiwalser> 1.16-1.mga5
+ Revision: 795523
- 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.15-4.mga5
+ Revision: 744709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-3.mga5
+ Revision: 679005
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 538826
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 luigiwalser <luigiwalser> 1.15-1.mga4
+ Revision: 490474
- 1.15
- html docs are no longer built

* Fri Jan 11 2013 umeabot <umeabot> 1.14-2.mga3
+ Revision: 349661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.14-1.mga3
+ Revision: 303152
- 1.14

* Tue Jan 11 2011 supp <supp> 1.13-2.mga2
+ Revision: 6336
- imported package enca


* Tue Jan 11 2011 Tomas Kindl <supp@mageia-devel.com> 1.13-1.mga1
- Mageia import

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.13-2mdv2011.0
+ Revision: 605103
- rebuild

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 1.13-1mdv2010.1
+ Revision: 503769
- update to new version 1.13

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.12-1mdv2010.1
+ Revision: 460847
- update to new version 1.12

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.11-1mdv2010.0
+ Revision: 449201
- update to new version 1.11

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.10-1mdv2010.0
+ Revision: 421243
- Update to new version 1.10

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.9-7mdv2009.0
+ Revision: 220724
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.9-6mdv2008.1
+ Revision: 149697
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.9-5mdv2008.0
+ Revision: 90163
- rebuild for 2008
- man pages aren't docs
- drop ancient conditionals
- new devel policy
- new license policy
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2007.0
+ Revision: 114690
- Import enca

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2007.1
- Rebuild

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.9-3mdk
- rebuild for sparc

* Wed Feb 01 2006 Eskild Hustvedt <eskild@mandriva.org> 1.9-2mdk
- Rebuild for missing package
- Made the spec prettier

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.9-1mdk
- New release 1.9
- use mkrel

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 1.8-1mdk
- New release 1.8

* Wed Mar 02 2005 Götz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
- New release 1.7

* Thu Aug 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.5-2mdk
- rebuild to fix missing source package

* Tue Jul 27 2004 Götz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- initial mdk package

* Tue May 18 2004 David Necas (Yeti) <yeti@physics.muni.cz>
- doubled percents in changelog

